<?xml version="1.0" encoding="utf-8"?>
<linkbase xsi:schemaLocation="http://www.xbrl.org/2003/linkbase http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://www.xbrl.org/2003/linkbase">
  <labelLink xlink:role="http://www.xbrl.org/2003/role/link" xlink:type="extended" xmlns:xlink="http://www.w3.org/1999/xlink">
    <loc xlink:type="locator" xlink:href="549300PT2CIHYN5GWJ21-2024-12-31.xsd#sercogroupplc_ConsolidatedIncomeStatementAxis" xlink:label="sercogroupplc_ConsolidatedIncomeStatementAxis" />
    <loc xlink:type="locator" xlink:href="549300PT2CIHYN5GWJ21-2024-12-31.xsd#sercogroupplc_UnderlyingMember" xlink:label="sercogroupplc_UnderlyingMember" />
    <loc xlink:type="locator" xlink:href="549300PT2CIHYN5GWJ21-2024-12-31.xsd#sercogroupplc_NonUnderlyingItemsMember" xlink:label="sercogroupplc_NonUnderlyingItemsMember" />
    <loc xlink:type="locator" xlink:href="549300PT2CIHYN5GWJ21-2024-12-31.xsd#sercogroupplc_ReportedMember" xlink:label="sercogroupplc_ReportedMember" />
    <loc xlink:type="locator" xlink:href="549300PT2CIHYN5GWJ21-2024-12-31.xsd#sercogroupplc_ProfitOrLossTable" xlink:label="sercogroupplc_ProfitOrLossTable" />
    <loc xlink:type="locator" xlink:href="549300PT2CIHYN5GWJ21-2024-12-31.xsd#sercogroupplc_ProfitOrLossLineItems" xlink:label="sercogroupplc_ProfitOrLossLineItems" />
    <loc xlink:type="locator" xlink:href="549300PT2CIHYN5GWJ21-2024-12-31.xsd#sercogroupplc_ExceptionalOperatingItems" xlink:label="sercogroupplc_ExceptionalOperatingItems" />
    <loc xlink:type="locator" xlink:href="549300PT2CIHYN5GWJ21-2024-12-31.xsd#sercogroupplc_ExceptionalGoodwillImpairment" xlink:label="sercogroupplc_ExceptionalGoodwillImpairment" />
    <loc xlink:type="locator" xlink:href="549300PT2CIHYN5GWJ21-2024-12-31.xsd#sercogroupplc_RemeasurementsOfPostEmploymentBenefitObligations" xlink:label="sercogroupplc_RemeasurementsOfPostEmploymentBenefitObligations" />
    <loc xlink:type="locator" xlink:href="549300PT2CIHYN5GWJ21-2024-12-31.xsd#sercogroupplc_ActuarialLossOnReimbursableRights" xlink:label="sercogroupplc_ActuarialLossOnReimbursableRights" />
    <loc xlink:type="locator" xlink:href="549300PT2CIHYN5GWJ21-2024-12-31.xsd#sercogroupplc_TaxCreditOnItemsTakenDirectlyToEquity" xlink:label="sercogroupplc_TaxCreditOnItemsTakenDirectlyToEquity" />
    <loc xlink:type="locator" xlink:href="549300PT2CIHYN5GWJ21-2024-12-31.xsd#sercogroupplc_ChangeInNonControllingInterests" xlink:label="sercogroupplc_ChangeInNonControllingInterests" />
    <loc xlink:type="locator" xlink:href="549300PT2CIHYN5GWJ21-2024-12-31.xsd#sercogroupplc_NetCashInflowFromUnderlyingOperatingActivities" xlink:label="sercogroupplc_NetCashInflowFromUnderlyingOperatingActivities" />
    <loc xlink:type="locator" xlink:href="549300PT2CIHYN5GWJ21-2024-12-31.xsd#sercogroupplc_NonUnderlyingItems" xlink:label="sercogroupplc_NonUnderlyingItems" />
    <loc xlink:type="locator" xlink:href="549300PT2CIHYN5GWJ21-2024-12-31.xsd#sercogroupplc_CapitalisedFinanceCostsPaidClassifiedAsFinancingActivities" xlink:label="sercogroupplc_CapitalisedFinanceCostsPaidClassifiedAsFinancingActivities" />
    <loc xlink:type="locator" xlink:href="549300PT2CIHYN5GWJ21-2024-12-31.xsd#sercogroupplc_CashMovementsOnHFinanceRelatedDerivativesClassifiedAsFinancingActivities" xlink:label="sercogroupplc_CashMovementsOnHFinanceRelatedDerivativesClassifiedAsFinancingActivities" />
    <loc xlink:type="locator" xlink:href="549300PT2CIHYN5GWJ21-2024-12-31.xsd#sercogroupplc_PurchaseOfOwnSharesByTheEmployeeShareOwnershipTrustClassifiedAsFinancingActivities" xlink:label="sercogroupplc_PurchaseOfOwnSharesByTheEmployeeShareOwnershipTrustClassifiedAsFinancingActivities" />
    <loc xlink:type="locator" xlink:href="549300PT2CIHYN5GWJ21-2024-12-31.xsd#sercogroupplc_DescriptionOfAccountingPolicyForContractCosts" xlink:label="sercogroupplc_DescriptionOfAccountingPolicyForContractCosts" />
    <loc xlink:type="locator" xlink:href="549300PT2CIHYN5GWJ21-2024-12-31.xsd#sercogroupplc_DescriptionOfAccountingPolicyForOperatingProfit" xlink:label="sercogroupplc_DescriptionOfAccountingPolicyForOperatingProfit" />
    <loc xlink:type="locator" xlink:href="549300PT2CIHYN5GWJ21-2024-12-31.xsd#sercogroupplc_DescriptionOfAccountingPolicyForNetInvestmentsInForeignOperations" xlink:label="sercogroupplc_DescriptionOfAccountingPolicyForNetInvestmentsInForeignOperations" />
    <loc xlink:type="locator" xlink:href="549300PT2CIHYN5GWJ21-2024-12-31.xsd#sercogroupplc_DescriptionOfAccountingPolicyForShareRepurchaseArrangements" xlink:label="sercogroupplc_DescriptionOfAccountingPolicyForShareRepurchaseArrangements" />
    <loc xlink:type="locator" xlink:href="549300PT2CIHYN5GWJ21-2024-12-31.xsd#sercogroupplc_DisclosureOfNonUnderlyingItems" xlink:label="sercogroupplc_DisclosureOfNonUnderlyingItems" />
    <labelArc xlink:type="arc" xlink:from="sercogroupplc_ConsolidatedIncomeStatementAxis" xlink:to="label_sercogroupplc_ConsolidatedIncomeStatementAxis" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="sercogroupplc_UnderlyingMember" xlink:to="label_sercogroupplc_UnderlyingMember" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="sercogroupplc_NonUnderlyingItemsMember" xlink:to="label_sercogroupplc_NonUnderlyingItemsMember" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="sercogroupplc_ReportedMember" xlink:to="label_sercogroupplc_ReportedMember" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="sercogroupplc_ProfitOrLossTable" xlink:to="label_sercogroupplc_ProfitOrLossTable" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="sercogroupplc_ProfitOrLossLineItems" xlink:to="label_ProfitOrLossLineItems" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="sercogroupplc_ExceptionalOperatingItems" xlink:to="label_sercogroupplc_sercogroupplcExceptionalOperatingItems_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="sercogroupplc_ExceptionalGoodwillImpairment" xlink:to="label_sercogroupplc_sercogroupplcExceptionalGoodwillImpairment_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="sercogroupplc_RemeasurementsOfPostEmploymentBenefitObligations" xlink:to="label_sercogroupplc_sercogroupplcRemeasurementsOfPostEmploymentBenefitObligations_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="sercogroupplc_ActuarialLossOnReimbursableRights" xlink:to="label_sercogroupplc_sercogroupplcActuarialLossOnReimbursableRights_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="sercogroupplc_TaxCreditOnItemsTakenDirectlyToEquity" xlink:to="label_sercogroupplc_sercogroupplcTaxCreditOnItemsTakenDirectlyToEquity_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="sercogroupplc_ChangeInNonControllingInterests" xlink:to="label_sercogroupplc_sercogroupplcChangeInNonControllingInterests_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="sercogroupplc_NetCashInflowFromUnderlyingOperatingActivities" xlink:to="label_sercogroupplc_sercogroupplcNetCashInflowFromUnderlyingOperatingActivities_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="sercogroupplc_NonUnderlyingItems" xlink:to="label_sercogroupplc_sercogroupplcNonUnderlyingItems_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="sercogroupplc_CapitalisedFinanceCostsPaidClassifiedAsFinancingActivities" xlink:to="label_sercogroupplc_sercogroupplcCapitalisedFinanceCostsPaidClassifiedAsFinancingActivities_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="sercogroupplc_CashMovementsOnHFinanceRelatedDerivativesClassifiedAsFinancingActivities" xlink:to="label_sercogroupplc_sercogroupplcCashMovementsOnHFinanceRelatedDerivativesClassifiedAsFinancingActivities_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="sercogroupplc_PurchaseOfOwnSharesByTheEmployeeShareOwnershipTrustClassifiedAsFinancingActivities" xlink:to="label_sercogroupplc_sercogroupplcPurchaseOfOwnSharesByTheEmployeeShareOwnershipTrustClassifiedAsFinancingActivities_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="sercogroupplc_DescriptionOfAccountingPolicyForContractCosts" xlink:to="label_sercogroupplc_sercogroupplcDescriptionOfAccountingPolicyForContractCosts_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="sercogroupplc_DescriptionOfAccountingPolicyForOperatingProfit" xlink:to="label_sercogroupplc_sercogroupplcDescriptionOfAccountingPolicyForOperatingProfit_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="sercogroupplc_DescriptionOfAccountingPolicyForNetInvestmentsInForeignOperations" xlink:to="label_sercogroupplc_sercogroupplcDescriptionOfAccountingPolicyForNetInvestmentsInForeignOperations_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="sercogroupplc_DescriptionOfAccountingPolicyForShareRepurchaseArrangements" xlink:to="label_sercogroupplc_sercogroupplcDescriptionOfAccountingPolicyForShareRepurchaseArrangements_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="sercogroupplc_DisclosureOfNonUnderlyingItems" xlink:to="label_sercogroupplc_sercogroupplcDisclosureOfNonUnderlyingItems_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <label xlink:label="label_sercogroupplc_ConsolidatedIncomeStatementAxis" id="sercogroupplc_ConsolidatedIncomeStatementAxis" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Consolidated income statement [axis]</label>
    <label xlink:label="label_sercogroupplc_UnderlyingMember" id="sercogroupplc_UnderlyingMember" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Underlying [member]</label>
    <label xlink:label="label_sercogroupplc_NonUnderlyingItemsMember" id="sercogroupplc_NonUnderlyingItemsMember" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Non-underlying items [member]</label>
    <label xlink:label="label_sercogroupplc_ReportedMember" id="sercogroupplc_ReportedMember" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Reported [member]</label>
    <label xlink:label="label_sercogroupplc_ProfitOrLossTable" id="sercogroupplc_ProfitOrLossTable" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Profit or loss [table]</label>
    <label xlink:label="label_ProfitOrLossLineItems" id="ProfitOrLossLineItems" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Profit or loss [line items]</label>
    <label xlink:label="label_sercogroupplc_sercogroupplcExceptionalOperatingItems_Standard" id="sercogroupplc_sercogroupplcExceptionalOperatingItems_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Exceptional operating items</label>
    <label xlink:label="label_sercogroupplc_sercogroupplcExceptionalGoodwillImpairment_Standard" id="sercogroupplc_sercogroupplcExceptionalGoodwillImpairment_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Exceptional goodwill impairment</label>
    <label xlink:label="label_sercogroupplc_sercogroupplcRemeasurementsOfPostEmploymentBenefitObligations_Standard" id="sercogroupplc_sercogroupplcRemeasurementsOfPostEmploymentBenefitObligations_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Remeasurements of post-employment benefit obligations</label>
    <label xlink:label="label_sercogroupplc_sercogroupplcActuarialLossOnReimbursableRights_Standard" id="sercogroupplc_sercogroupplcActuarialLossOnReimbursableRights_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Actuarial loss on reimbursable rights</label>
    <label xlink:label="label_sercogroupplc_sercogroupplcTaxCreditOnItemsTakenDirectlyToEquity_Standard" id="sercogroupplc_sercogroupplcTaxCreditOnItemsTakenDirectlyToEquity_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Tax credit on items taken directly to equity</label>
    <label xlink:label="label_sercogroupplc_sercogroupplcChangeInNonControllingInterests_Standard" id="sercogroupplc_sercogroupplcChangeInNonControllingInterests_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Change in non-controlling interests</label>
    <label xlink:label="label_sercogroupplc_sercogroupplcNetCashInflowFromUnderlyingOperatingActivities_Standard" id="sercogroupplc_sercogroupplcNetCashInflowFromUnderlyingOperatingActivities_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Net cash inflow from underlying operating activities</label>
    <label xlink:label="label_sercogroupplc_sercogroupplcNonUnderlyingItems_Standard" id="sercogroupplc_sercogroupplcNonUnderlyingItems_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Non-underlying items</label>
    <label xlink:label="label_sercogroupplc_sercogroupplcCapitalisedFinanceCostsPaidClassifiedAsFinancingActivities_Standard" id="sercogroupplc_sercogroupplcCapitalisedFinanceCostsPaidClassifiedAsFinancingActivities_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Capitalised finance costs paid classified as financing activities</label>
    <label xlink:label="label_sercogroupplc_sercogroupplcCashMovementsOnHFinanceRelatedDerivativesClassifiedAsFinancingActivities_Standard" id="sercogroupplc_sercogroupplcCashMovementsOnHFinanceRelatedDerivativesClassifiedAsFinancingActivities_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Cash movements on finance related derivatives classified as financing activities</label>
    <label xlink:label="label_sercogroupplc_sercogroupplcPurchaseOfOwnSharesByTheEmployeeShareOwnershipTrustClassifiedAsFinancingActivities_Standard" id="sercogroupplc_sercogroupplcPurchaseOfOwnSharesByTheEmployeeShareOwnershipTrustClassifiedAsFinancingActivities_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Purchase of own shares by the Employee Share Ownership Trust classified as financing activities</label>
    <label xlink:label="label_sercogroupplc_sercogroupplcDescriptionOfAccountingPolicyForContractCosts_Standard" id="sercogroupplc_sercogroupplcDescriptionOfAccountingPolicyForContractCosts_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Description of accounting policy for contract costs</label>
    <label xlink:label="label_sercogroupplc_sercogroupplcDescriptionOfAccountingPolicyForOperatingProfit_Standard" id="sercogroupplc_sercogroupplcDescriptionOfAccountingPolicyForOperatingProfit_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Description of accounting policy for operating profit</label>
    <label xlink:label="label_sercogroupplc_sercogroupplcDescriptionOfAccountingPolicyForNetInvestmentsInForeignOperations_Standard" id="sercogroupplc_sercogroupplcDescriptionOfAccountingPolicyForNetInvestmentsInForeignOperations_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Description of accounting policy for net investments in foreign operations</label>
    <label xlink:label="label_sercogroupplc_sercogroupplcDescriptionOfAccountingPolicyForShareRepurchaseArrangements_Standard" id="sercogroupplc_sercogroupplcDescriptionOfAccountingPolicyForShareRepurchaseArrangements_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Description of accounting policy for share repurchase arrangements</label>
    <label xlink:label="label_sercogroupplc_sercogroupplcDisclosureOfNonUnderlyingItems_Standard" id="sercogroupplc_sercogroupplcDisclosureOfNonUnderlyingItems_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Disclosure of non-underlying items</label>
  </labelLink>
</linkbase>